package cn.com.ty.lift.ud.operation.service;

import cn.com.ty.lift.ud.common.NotExamineDto;
import cn.com.ty.lift.ud.operation.controller.query.UserRebateRuleQuery;
import cn.com.ty.lift.ud.operation.mapper.entity.UserRebateRuleEntity;
import cn.com.ty.lift.ud.operation.mapper.entity.UserRebateRuleEntity;
import cn.com.xwy.boot.web.dto.RestResponse;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 用户返利规则;-Service
 * 
 * @author Xson
 * @date 2020-06-28
 */
public interface IUserRebateRuleService extends IService<UserRebateRuleEntity> {

    RestResponse examineById(NotExamineDto neDto);

    RestResponse submit(Long id);

    RestResponse create(UserRebateRuleEntity entity);

    UserRebateRuleEntity getRebateByUserLevel(Long id);

    RestResponse selectByExample(UserRebateRuleQuery request);
}
